﻿//
// WpfCSarp
//
// Copyright (c) 2017 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System.ComponentModel;

namespace WpfCSharp
{
    public class MainWindowViewModel : INotifyPropertyChanged
    {
        private string _comboBox1SelectedValue;
        private string _comboBox2SelectedValue;


        //public MainWindowViewModel ()
        //{
        //}

        /// <summary>
        /// ComboBox1の選択値
        /// </summary>
        public string ComboBox1SelectedValue
        {
            get
            {
                return _comboBox1SelectedValue;
            }
            set
            {
                _comboBox1SelectedValue = value;
                // プロパティ変更通知
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(ComboBox1SelectedValue)));
            }
        }

        /// <summary>
        /// ComboBox2の選択値
        /// </summary>
        public string ComboBox2SelectedValue
        {
            get
            {
                return _comboBox2SelectedValue;
            }
            set
            {
                _comboBox2SelectedValue = value;
                // プロパティ変更通知
                PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(nameof(ComboBox2SelectedValue)));
            }
        }


        #region INotifyPropertyChangedの実装
        public event PropertyChangedEventHandler PropertyChanged;
        #endregion
    }
}
